[TH] Ignore More [Deleted]

beerForo

Well-known member
Suggestion:

Can you please add a setting for admins to set a forum to ignore for all users by default? This is handy for things like Politics forums where you do not want them to be seen by the general membership, and they have to UNignore to see. So basically it works like adding a permission to see hidden content.

I like the way this is setup otherwise as compared to other solutions. They can easily see what they are ignoring so anything ignored by default would be discovered.

Something like this:
Ignore by default [forum selector]
This is not retroactive and affects new users only.

I imagine it could be for new users only, so you were not affecting anyone's experience.

Thank you for considering.
 
Last edited:

Joe Blow

Active member
I bought this add-on and it's virtually useless as not much is actually ignored. I use Siropu's Recent Posts add-on and the two add-ons are not compatible so ignored threads show up in the Recent Posts widget. Also, threads from ignored forums show up in the activity feed.

Looks like I wasted $10 on this.
 

Dalton Prock

Well-known member
I bought this add-on and it's virtually useless as not much is actually ignored. I use Siropu's Recent Posts add-on and the two add-ons are not compatible so ignored threads show up in the Recent Posts widget. Also, threads from ignored forums show up in the activity feed.

Looks like I wasted $10 on this.
Hello Joe,

I'm sorry to hear you are experiencing compatibility issues with both of these add-ons. I'm gonna check with our team on this and get back to you ASAP.
 
Thanks for looking into this. Siropu's Recent Posts add-on is widely used. It would be very useful if Ignore More could add compatibility with it.
Hey Joe!

Hope you're doing well this Friday! I'm so sorry to hear that you're experiencing compatibility issues with ThemeHouse's Ignore More and Siropu's Recent Posts Addons.

We build for XenForo compatibility and with so many addons on the market, we aren't able to test cross compatibility with other development teams in most circumstances. Lots of variables in play in the third party market! That being said, I'm happy to add this to our issue tracker to see if it's something that we can readily identify - not a guarantee of course, but if it's an easy thing to identify and fix, of course we'll want to take care of it.

I'm also happy to offer store credit or a refund if you're wanting to go that route. Feel free to send me a ticket through ThemeHouse and I can take care of it.
 

AndrewSimm

Well-known member
I went ahead and purchased it. When testing, I found that the thread still shows on the recent threads and recent posts widgets. Is this be design or have I missed a setting? I am using the base Xenforo widgets and have no mods that modify these widgets.
 

AndrewSimm

Well-known member
ErrorException: [E_WARNING] Declaration of ThemeHouse\IgnoreMore\XF\FindNew\Thread::filterResults(XF\Mvc\Entity\ArrayCollection $results) should be compatible with XF\FindNew\Thread::filterResults(XF\Mvc\Entity\AbstractCollection $results) in src/addons/ThemeHouse/IgnoreMore/XF/FindNew/Thread.php at line 0
 

AndrewSimm

Well-known member
ErrorException: [E_WARNING] Declaration of ThemeHouse\IgnoreMore\XF\FindNew\Thread::filterResults(XF\Mvc\Entity\ArrayCollection $results) should be compatible with XF\FindNew\Thread::filterResults(XF\Mvc\Entity\AbstractCollection $results) in src/addons/ThemeHouse/IgnoreMore/XF/FindNew/Thread.php at line 0
I got this error when clicking "WhatsNew". The fix is pretty simple. Change "ArrayCollection" to "AbstractCollection" in the file listed above.

This confirms that this add-on is not compatible with XF 2.2. (at least until the fix is applied)
 

Dalton Prock

Well-known member
ErrorException: [E_WARNING] Declaration of ThemeHouse\IgnoreMore\XF\FindNew\Thread::filterResults(XF\Mvc\Entity\ArrayCollection $results) should be compatible with XF\FindNew\Thread::filterResults(XF\Mvc\Entity\AbstractCollection $results) in src/addons/ThemeHouse/IgnoreMore/XF/FindNew/Thread.php at line 0
I got this error when clicking "WhatsNew". The fix is pretty simple. Change "ArrayCollection" to "AbstractCollection" in the file listed above.

This confirms that this add-on is not compatible with XF 2.2. (at least until the fix is applied)
Thanks for the report of this, I'll get an issue created on our issue tracker so this can be fixed in the next update.
 

AndrewSimm

Well-known member
Thanks for the report of this, I'll get an issue created on our issue tracker so this can be fixed in the next update.
@Dalton Prock I also noticed that the threads I ignored still appeared in various base Xenforo widgets and on the list of forums as the most recent thread. I only got this add-on to work when viewing the threads list.
 

PumpinIron

Well-known member
@ThemeHouse, you guys have kind of dropped the ball. This add-on and many others that are part of the XF2 Essential Suite subscription (which I am paying $129 a year for) do not work with the latest version of XF2.

I know you guys are aware of this, but why am I paying $129 a year for a subscription to a bunch of add-ons that don't work? I've had them deactivated for over a month now waiting for you guys to play catch-up.

Usually you guys are pretty good, but this is a little upsetting. I mean I am paying for something I can't use.
 
@ThemeHouse, you guys have kind of dropped the ball. This add-on and many others that are part of the XF2 Essential Suite subscription (which I am paying $129 a year for) do not work with the latest version of XF2.

I know you guys are aware of this, but why am I paying $129 a year for a subscription to a bunch of add-ons that don't work? I've had them deactivated for over a month now waiting for you guys to play catch-up.

Usually you guys are pretty good, but this is a little upsetting. I mean I am paying for something I can't use.
Hey there! We have an update in the works - it's going through testing as soon as possible and we're hoping to release some time next week, assuming testing goes smoothly :)
 

PumpinIron

Well-known member
Hey there! We have an update in the works - it's going through testing as soon as possible and we're hoping to release some time next week, assuming testing goes smoothly :)

I look forward to it as this was one of the more popular add-ons with my community.

Also, several others such as Style Switch, Notices Plus, Attachments Plus, and others that I can't use anymore until they are brought up-to-date.
 

Wildcat Media

Well-known member
I got this error when clicking "WhatsNew". The fix is pretty simple. Change "ArrayCollection" to "AbstractCollection" in the file listed above.

This confirms that this add-on is not compatible with XF 2.2. (at least until the fix is applied)
This worked for me also.
 
Top